# std::discard_block_engine<Engine,P,R>::discard

From cppreference.com
< cpp‎ | numeric‎ | random‎ | discard block engine

void discard( unsigned long long z ); |  | (since C++11)

Advances the internal state by `z` times. Equivalent to calling operator() `z` times and discarding the result. The state of the underlying engine may be advanced by more than `z` times.

### Parameters

z | - | integer value specifying the number of times to advance the state by

### Return value

(none)

### Exceptions

(none)

### See also

operator() | advances the state of the underlying engine and returns the generated value (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/discard_block_engine/discard&oldid=50916"